summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2017-08-23 08:03:20 -0400
committerTim Harder <radhermit@gentoo.org>2017-08-23 08:03:20 -0400
commit0e7a461dc34c4261c64d6bfe5a0d70b12cf88cca (patch)
tree0d423dc6f76f1da7637a436f2276a632d80fa8bc /dev-libs/libebml
parentdev-libs/libebml: use https for HOMEPAGE and SRC_URI (diff)
downloadgentoo-0e7a461dc34c4261c64d6bfe5a0d70b12cf88cca.tar.gz
gentoo-0e7a461dc34c4261c64d6bfe5a0d70b12cf88cca.tar.bz2
gentoo-0e7a461dc34c4261c64d6bfe5a0d70b12cf88cca.zip
dev-libs/libebml: version bump to 1.3.5
Diffstat (limited to 'dev-libs/libebml')
-rw-r--r--dev-libs/libebml/Manifest1
-rw-r--r--dev-libs/libebml/libebml-1.3.5.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-libs/libebml/Manifest b/dev-libs/libebml/Manifest
index 432f8a8cc7d..01dc98ea7ce 100644
--- a/dev-libs/libebml/Manifest
+++ b/dev-libs/libebml/Manifest
@@ -1 +1,2 @@
DIST libebml-1.3.4.tar.bz2 606205 SHA256 c50d3ecf133742c6549c0669c3873f968e11a365a5ba17b2f4dc339bbe51f387 SHA512 ebf5b71afe725e40ee6415463e51ca14810eecc2fef186caacd0269077f5febeb62623fd48674b21ea732f43a620d0c91603fa48d3f8d163284d1cf204642194 WHIRLPOOL 9502f132fea7d7d10add1c42da33bc2eac1a13b3b02f5b4eb331b1ab5f14a41a255503fedb16b579bb8defa94786d0f6fc5324cd55c06b6d7b5319de74a75e84
+DIST libebml-1.3.5.tar.xz 274184 SHA256 d818413f60742c2f036ba6f582c5e0320d12bffec1b0fc0fc17a398b6f04aa00 SHA512 cdf05015724919b19281bf99c562bb7e0bdf16990da274010f664ff316b6ce95ecbeaa1e479f03505281a7f45d5796aee6e7750a9e1c0596b630911d220dca24 WHIRLPOOL 7bdfcba45e8d82348a5ec0d818f04eca1b0c43b6c658a199fd1586248cb8828867f2eafd7527a26bd514e29c29894f29985939929549de56481b47ac4e1fba26
diff --git a/dev-libs/libebml/libebml-1.3.5.ebuild b/dev-libs/libebml/libebml-1.3.5.ebuild
new file mode 100644
index 00000000000..637d22891b8
--- /dev/null
+++ b/dev-libs/libebml/libebml-1.3.5.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Extensible binary format library (kinda like XML)"
+HOMEPAGE="https://www.matroska.org/ https://github.com/Matroska-Org/libebml/"
+SRC_URI="https://dl.matroska.org/downloads/${PN}/${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/4" # subslot = soname major version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="debug static-libs"
+
+src_prepare() {
+ default
+ sed -i '/^AM_CXXFLAGS += -g/d' Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable debug)
+ $(use_enable static-libs static)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${ED}" -name '*.la' -delete
+}